MeasurementScheduleException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.MeasurementScheduleException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement
Class MeasurementScheduleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.measurement.MeasurementScheduleException

All Implemented Interfaces:
  java.io.Serializable

    public class MeasurementScheduleException

extends ApplicationException

This class serves a purpose

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`MeasurementScheduleException(java.lang.String s, java.lang.Integer id)`
`MeasurementScheduleException(java.lang.String s, java.lang.Integer id, java.lang.Throwable t)`
`MeasurementScheduleException(java.lang.String s, java.lang.Throwable t)`
`MeasurementScheduleException(java.lang.Throwable t)`

Method Summary

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeasurementScheduleException

    public MeasurementScheduleException(java.lang.String s,
                                        java.lang.Integer id)

Parameters:
  `s` - the Error string

### MeasurementScheduleException

    public MeasurementScheduleException(java.lang.Throwable t)

Parameters:
  `t` - the wrapped exception

### MeasurementScheduleException

    public MeasurementScheduleException(java.lang.String s,
                                        java.lang.Throwable t)

Parameters:
  `s` - the Error string
  `t` - the wrapped exception

### MeasurementScheduleException

    public MeasurementScheduleException(java.lang.String s,
                                        java.lang.Integer id,
                                        java.lang.Throwable t)

Parameters:
  `s` - the Error string
  `t` - the wrapped exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.